Page MenuHomePhabricator

Implement opt-in/out of watching talk page in Replying workflow
Closed, ResolvedPublic

Description

This task is about implementing a way for contributors to opt-in/out of watching the talk page they are replying on within the workflow of replying to a specific comment.

Said differently: after this component is implemented, contributors should be able to put a talk page on their Watchlist [i] and to take a talk page off their Watchlist prior to publishing their reply to a specific comment.

Open questions

  • How should this workflow behave once editing specific comments is implemented (T245225)? Should the "Watch page" affordance be visible

Done

  • Contributors are able to put/take the talk page they are responding on, on/off their Watchlist from within the replying workflow
  • When a contributor is responding on a talk page for the first time, the replying workflow's "Watch page" preference should inherit whatever preference is set in the "Watched pages" section of their Preferences [ii.]

i. https://www.mediawiki.org/wiki/Help:Watchlist
ii. https://en.wikipedia.org/wiki/Special:Preferences#mw-prefsection-watchlist

Event Timeline

How should this workflow behave once editing specific comments is implemented (T245225)? Should the "Watch page" affordance be visible

I don't see why not, we always show it when editing a page.

Change 576878 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/DiscussionTools@master] Add "watch this page" checkbox

https://gerrit.wikimedia.org/r/576878

Above patch:

Change 576855 had a related patch set uploaded (by Bartosz Dziewoński; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Move checkbox widget creation to mw.libs.ve

https://gerrit.wikimedia.org/r/576855

Change 576855 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Move checkbox widget creation to mw.libs.ve

https://gerrit.wikimedia.org/r/576855

Watchlist preferences
Notes from a conversation with @Esanders about how this patch interacts with peoples' existing Watchlist preferences (Preferences > Watchlist):

  • For people who have the Add pages and files I edit to my watchlist preference set to "Yes," the Reply tool will inherit that preference (read: the "Watch this page" checkbox within the Replying workflow will be checked by default).
  • By default, the Add pages and files I edit to my watchlist preference is set to "No" for all wikis, except for Arabic and Czech Wikipedias.
  • The Reply tool will inherit whatever Add pages and files I edit to my watchlist preference a user has set.
  • The Add pages and files I edit to my watchlist preference will not be affected by someone checking the "Watch this page" checkbox within the Replying workflow.
Esanders added a project: Editing QA.
Esanders moved this task from Inbox to High Priority on the Editing QA board.
Esanders claimed this task.Apr 13 2020, 2:07 PM

@Esanders: So, I checked this on Beta cluster. Everything seem to be working as expected except the watch star does not get updated immediately unless the page is refreshed. Is that something that can be fixed as part of this, or is it a separate existing UI issue with menu bar?

Esanders added a comment.EditedApr 20 2020, 11:38 AM

The main patch hasn't been merged yet, but the watch star should get updated immediately.

Change 576878 merged by jenkins-bot:
[mediawiki/extensions/DiscussionTools@master] Add "watch this page" checkbox

https://gerrit.wikimedia.org/r/576878

The main patch hasn't been merged yet, but the watch star should get updated immediately.

@Esanders: Right, I see the checkbox now and the watch star is also getting updated correctly. I was checking the part about setting it from Preferences page earlier. But I would like to confirm the following with you.

Watchlist preferences
Notes from a conversation with @Esanders about how this patch interacts with peoples' existing Watchlist preferences (Preferences > Watchlist):

  • The Reply tool will inherit whatever Add pages and files I edit to my watchlist preference a user has set.

I see that, this is true only when the checkbox is not overriding it. The checkbox inside the reply tool will always have the higher precedence over the checkbox on the Preferences page, correct?

Yes, the checkbox should behave the same as when you are using the full page editor.

Ryasmeen added a comment.EditedApr 21 2020, 7:39 PM

Yes, the checkbox should behave the same as when you are using the full page editor.

ok got it, so currently the default state of the checkbox inside the Reply tool is always checked regardless of what's set in the Preferences section. I guess that's expected too.

Ryasmeen added a comment.EditedApr 21 2020, 7:47 PM

Yes, the checkbox should behave the same as when you are using the full page editor.

ok got it, so currently the default state of the checkbox inside the Reply tool is always checked regardless of what's set in the Preferences section. I guess that's expected too.

Never mind! It's not. It does follow the preference, I was already watching it, so it didn't change the state.

ppelberg closed this task as Resolved.May 1 2020, 1:20 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 1 2020, 1:20 AM